Loading...
Searching...
No Matches
semaphore.h File Reference
Base API

C semaphore interface. More...

`#include <l4/sys/irq.h>`
Include dependency graph for semaphore.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

l4_msgtag_t | l4_semaphore_up (l4_cap_idx_t sem) L4_NOTHROW
| Semaphore up operation (wrapper for trigger()).
l4_msgtag_t | l4_semaphore_down (l4_cap_idx_t sem, l4_timeout_t timeout) L4_NOTHROW
| Semaphore down operation.

## Detailed Description

C semaphore interface.

Definition in file semaphore.h.